Skip to main content
GET
/
v1
/
annotation-queues
/
{queueId}
/
items
List queue items
curl --request GET \
  --url https://api.agentmark.co/v1/annotation-queues/{queueId}/items \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Agentmark-App-Id: <api-key>'
{
  "data": [
    {
      "assigned_to": "<string>",
      "completed_at": "2023-11-07T05:31:56Z",
      "completed_by": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "queue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "resource_id": "<string>",
      "resource_type": "trace",
      "status": "pending"
    }
  ],
  "pagination": {
    "limit": 1,
    "offset": 1,
    "total": 1
  }
}

Authorizations

X-Agentmark-App-Id
string
header
required

Application ID for tenant scoping

Authorization
string
header
required

API key (sk_agentmark_*)

Headers

X-Agentmark-App-Id
string
required

Application ID for tenant scoping.

Path Parameters

queueId
string<uuid>
required

Response

List of queue items.

data
object[]
required
pagination
object
required